CoinUtils 2.10.15

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
CoinWarmStart Class Referenceabstract

Abstract base class for warm start information. More...

`#include <CoinWarmStart.hpp>`

Inheritance diagram for CoinWarmStart:
[legend]

## Public Member Functions
virtual | ~CoinWarmStart ()
| Abstract destructor. More...
virtual CoinWarmStart * | clone () const =0
| `Virtual constructor' More...
virtual CoinWarmStartDiff * | generateDiff (const CoinWarmStart *const ) const
virtual void | applyDiff (const CoinWarmStartDiff *const )

## Detailed Description

Abstract base class for warm start information.

Really nothing can be generalized for warm start information — all we know is that it exists. Hence the abstract base class contains only a virtual destructor and a virtual clone function (a virtual constructor), so that derived classes can provide these functions.

Definition at line 21 of file CoinWarmStart.hpp.

## Constructor & Destructor Documentation

virtual CoinWarmStart::~CoinWarmStart | ( |  | ) |
| inline virtual

Abstract destructor.

Definition at line 25 of file CoinWarmStart.hpp.

## Member Function Documentation

virtual CoinWarmStart* CoinWarmStart::clone | ( |  | ) | const
| pure virtual

`Virtual constructor'

Implemented in CoinWarmStartBasis, CoinWarmStartVectorPair< T, U >, CoinWarmStartVector< T >, CoinWarmStartVector< double >, CoinWarmStartVector< U >, CoinWarmStartPrimalDual, and CoinWarmStartDual.

virtual CoinWarmStartDiff* CoinWarmStart::generateDiff | ( | const CoinWarmStart * | const | ) | const
| inline virtual

Reimplemented in CoinWarmStartVectorPair< T, U >, CoinWarmStartBasis, CoinWarmStartVector< T >, CoinWarmStartVector< double >, CoinWarmStartVector< U >, CoinWarmStartPrimalDual, and CoinWarmStartDual.

Definition at line 31 of file CoinWarmStart.hpp.

virtual void CoinWarmStart::applyDiff | ( | const CoinWarmStartDiff * | const | ) |
| inline virtual

Reimplemented in CoinWarmStartVectorPair< T, U >, CoinWarmStartBasis, CoinWarmStartVector< T >, CoinWarmStartVector< double >, CoinWarmStartVector< U >, CoinWarmStartPrimalDual, and CoinWarmStartDual.

Definition at line 35 of file CoinWarmStart.hpp.

The documentation for this class was generated from the following file:

- /tmp/CoinUtils-2.10.15/CoinUtils/src/CoinWarmStart.hpp